# Solar Edge Status Updater
When placed in a cron job this uppdater will make an https call to a json api to retrieve the co2 savings and equivenant trees planted and overlay those numbers on a graphic and upload them to the website. 

# Dependancies
Python 3 and contents of `requirements.txt`.

The font `Biko_Regular.otf`.

A `.png` graphic to write text on.

The package direnv and the follwing changes to the user account:
* bash.rc (https://github.com/direnv/direnv/wiki/Python#bash)
* venv (https://github.com/direnv/direnv/wiki/Python#venv-stdlib-module)

If `ssh_host` is blank will copy file locally instead of scping file to sever. To scp valid sshkeys are required.


# Bulid Instructions
assumes installed to `~/python/solar_edge`

```
cd ~/python
git clone http://git.elder-geek.net/fredw/solar_edge.git
cd solar_edge
cp env.sample .env
direnv allow
pip install -r requirements.txt
```

edit `.env` and update accordingly


add to user crontab to update site every 5 minutes
```
05   *     *   *  *    cd ~/python/solar_edge && direnv exec . python solar_edge.py > /dev/null 2>&1
```

# Sample .env if installed on the server
```
SSH_HOST=
SSH_USER=
SSH_FOLDER=/var/www/wordpress
URL=https://monitoringapi.solaredge.com/site/55555/envBenefits?systemUnits=Imperial&api_key=
INFILE=environmental_benefits_blank.png
OUTFILE=solar.png
FONT_FACE=Biko_Regular.otf
```

# Sample .env file for scp
```
SSH_HOST=myserver.com
SSH_USER=www-data
SSH_FOLDER=/var/www/wordpress
URL=https://monitoringapi.solaredge.com/site/55555/envBenefits?systemUnits=Imperial&api_key=
INFILE=environmental_benefits_blank.png
OUTFILE=solar.png
FONT_FACE=Biko_Regular.otf
```

